Przejdź do głównej zawartości

Get Minimum Withdrawal Amount

POST
/withdrawal/min-amount/

Returns the minimum allowed withdrawal amount for a specific currency. Use this endpoint to prevent transaction failures due to withdrawals below the minimum required amount.

Authentication

Requires OAuth 2.0 authentication with read and write scopes.

Request Body

ParameterTypeRequiredDescription
currencystringConditionalCombined currency code (e.g., "USDTTRC20"). Either currency or blockchain + token
blockchainstringConditionalBlockchain network (e.g., "ETH", "TRX"). Use with token instead of currency
tokenstringConditionalToken symbol (e.g., "USDT"). Use with blockchain instead of currency

Example Request

curl -X POST {{BASE_URL}}/withdrawal/min-amount/ \
-H "Authorization: Bearer your_access_token" \
-H "Content-Type: application/json" \
-d '{
"blockchain": "ETH",
"token": "USDT"
}'

Using currency field

curl -X POST {{BASE_URL}}/withdrawal/min-amount/ \
-H "Authorization: Bearer your_access_token" \
-H "Content-Type: application/json" \
-d '{
"currency": "USDTTRC20"
}'

Response

Success Response (200 OK)

{
"min_amount": 10.0,
"currency": "USDTERC20",
"blockchain": "ETH",
"token": "USDT"
}

Response Fields

FieldTypeRequiredDescription
min_amountnumberYesMinimum withdrawal amount
currencystringYesCombined currency code
blockchainstringYesBlockchain network
tokenstringYesToken symbol

Error Responses

400 Bad Request

{
"error": {
"code": "invalid_request",
"message": "The specified blockchain or token is not supported",
"details": {}
}
}

Notes

  • Either currency or blockchain + token must be provided
  • Minimum amounts may change over time due to market conditions and network fee fluctuations
  • It is recommended to check the minimum amount before creating a withdrawal
  • Attempting to create a withdrawal below the minimum amount will result in a validation error